/*
   File Name:

      CLight.h

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This file holds the structure for a light.
*/


#ifndef CLIGHT_H
#define CLIGHT_H


class CLight
{
   public:
      CLight() : r(0), g(0), b(0) {}
      CLight(CVector4 &pos, float R, float G, float B)
      {
         position = pos;
         r = R; g = G; b = B;
      }

      // Light position and color.
      CVector4 position;
      float r, g, b;
};

#endif


// Copyright February 2005
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com